package com.ai.service;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class NormalRequestService {

   public String chat(String userMessage)  {
       try {
           HttpResponse<String> response = Unirest.post("https://api.deepseek.com/chat/completions")
                   .header("Authorization", "Bearer sk-3043bb4777404970a22c7544dd30aaa2")
                   .header("Content-Type", "application/json")
                   .body("{\n" +
                           "        \"model\": \"deepseek-chat\",\n" +
                           "        \"messages\": [\n" +
                           "          {\"role\": \"system\", \"content\": \"You are a helpful assistant.\"},\n" +
                           "          {\"role\": \"user\", \"content\": \"" + userMessage + "\"}\n" +
                           "        ],\n" +
                           "        \"stream\": false\n" +
                           "      }")
                   .asString();

           // 检查响应状态码
           if (response.getStatus() == 200) {
               try {
                   // 使用 Jackson 解析 JSON 响应
                   ObjectMapper mapper = new ObjectMapper();
                   Map<String, Object> jsonResponse = mapper.readValue(response.getBody(), Map.class);

                   // 假设响应中包含一个名为 "content" 的字段
                   String content = (String) jsonResponse.get("content");
                   if (content != null) {
                       System.out.println("响应内容: " + content);
                   } else {
                       System.out.println("响应中未找到 'content' 字段。");
                   }
               } catch (Exception e) {
                   System.err.println("解析响应时出错: " + e.getMessage());
               }
           } else {
               System.err.println("请求失败，状态码: " + response.getStatus());
           }
       } catch (Exception e) {
           e.printStackTrace();
       }
      return "你好，" + userMessage;
   }
}
